Not able to run Yotta


(rajat batra) #1

I tried the yotta windows installer but it is not able to run yt init after going through run yotta.bat i observed that it is lookig for /workspace/scripts/activate however no such location exists . Is there a problem with installer


(Carlos Canal) #2

Hello:
I have the same problem.
When I want to run yotta, get the following message:
"The system can not find the path specified"
one mistake capturadel is attached.
What I can do?
Thank you very much
Carlos


(Anuj Dutt) #3

Hey, use these steps to get yotta working:
So the steps are:
1. Download yotta installer. Ref.: http://yottadocs.mbed.com/#installing-on-windows
2. Install all features except mbed-serial for now.
3. Install python that comes with that.
4. Open Environment variables in windows.
5. In "YOTTA_PATH", put path of all files that you have in your yotta folder. example:

C:\yotta;C:\yotta\gcc\bin;C:\yotta\python;C:\yotta\python\Scripts;C:\yotta\cmake-3.4.0-rc3-win32-x86\bin

6.In "YOTTA_INSTALL_PATH" , put:

C:\yotta if your yotta folder is in C

7.In "PATH" append it as:

C:\yotta\mercurial;C:\yotta\python;C:\yotta and so on.

8.Now refresh and click on "RUN YOTTA" shortcut formed on your screen. It works.

I confirmed the steps by installing yotta 3-4 times. It works every time :slight_smile:
I'll soon post a video of all the steps on youtube.com. Hope this helps.


(David Suarez) #4

Hi,

I have the same issue, the "yotta" command doesn't do anything in the "RUN YOTTA" console. Digging a bit more, the problem is in the pip_install_yotta command. It fails to find some file. Here is the output of the command (sorry for the long post)

c:\yotta>pip install virtualenv
You are using pip version 7.0.1, however version 8.1.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Requirement already satisfied (use --upgrade to upgrade): virtualenv in d:\yotta\python\lib\site-packages

c:\yotta>cd c:\yotta

c:\yotta>virtualenv --system-site-packages workspace
New python executable in c:\yotta\workspace\Scripts\python.exe
Installing setuptools, pip, wheel...done.

c:\yotta>cmd /K "c:\yotta\workspace\Scripts\activate & pip install -I -U pip & pip install -I -U yotta & exit"
Collecting pip
  Using cached pip-8.1.2-py2.py3-none-any.whl
Installing collected packages: pip
  Failed to write executable - trying to use .deleteme logic
Successfully installed pip-8.1.2
Collecting yotta
Collecting jsonpointer<2.0,>=1.9 (from yotta)
  Using cached jsonpointer-1.10-py2-none-any.whl
Collecting cryptography>=0.8 (from yotta)
  Using cached cryptography-1.4-cp27-none-win32.whl
Collecting semantic-version<3,>=2.3.1 (from yotta)
Collecting jsonschema<3.0,>=2.4.0 (from yotta)
  Using cached jsonschema-2.5.1-py2.py3-none-any.whl
Collecting pathlib<1.1,>=1.0.1 (from yotta)
Collecting requests[security]<3,>=2.4.3 (from yotta)
  Using cached requests-2.10.0-py2.py3-none-any.whl
Collecting certifi>=2016.2.28 (from yotta)
  Using cached certifi-2016.2.28-py2.py3-none-any.whl
Collecting PyJWT<2.0,>=1.0 (from yotta)
  Using cached PyJWT-1.4.1-py2.py3-none-any.whl
Collecting colorama<0.4,>=0.3 (from yotta)
  Using cached colorama-0.3.7-py2.py3-none-any.whl
Collecting argcomplete<2.0,>=0.8.0 (from yotta)
  Using cached argcomplete-1.4.1-py2.py3-none-any.whl
Collecting Jinja2<3,>=2.7.0 (from yotta)
  Using cached Jinja2-2.8-py2.py3-none-any.whl
Collecting valinor<1.0,>=0.0.0 (from yotta)
Collecting hgapi<2,>=1.7 (from yotta)
Collecting PyGithub<2,>=1.25 (from yotta)
Collecting intelhex<3.0,>=2.0 (from yotta)
  Using cached intelhex-2.1-py2.py3-none-any.whl
Collecting ntfsutils<0.2,>=0.1.3 (from yotta)
Collecting mbed-test-wrapper<2.0.0,>=0.0.3 (from yotta)
Collecting six>=1.4.1 (from cryptography>=0.8->yotta)
  Using cached six-1.10.0-py2.py3-none-any.whl
Collecting setuptools>=11.3 (from cryptography>=0.8->yotta)
  Using cached setuptools-25.1.0-py2.py3-none-any.whl
Collecting cffi>=1.4.1 (from cryptography>=0.8->yotta)
  Using cached cffi-1.7.0-cp27-none-win32.whl
Collecting pyasn1>=0.1.8 (from cryptography>=0.8->yotta)
  Using cached pyasn1-0.1.9-py2.py3-none-any.whl
Collecting enum34 (from cryptography>=0.8->yotta)
  Using cached enum34-1.1.6-py2-none-any.whl
Collecting ipaddress (from cryptography>=0.8->yotta)
  Using cached ipaddress-1.0.16-py27-none-any.whl
Collecting idna>=2.0 (from cryptography>=0.8->yotta)
  Using cached idna-2.1-py2.py3-none-any.whl
Collecting functools32; python_version == "2.7" (from jsonschema<3.0,>=2.4.0->yotta)
Collecting pyOpenSSL>=0.13; extra == "security" (from requests[security]<3,>=2.4.3->yotta)
  Using cached pyOpenSSL-16.0.0-py2.py3-none-any.whl
Collecting ndg-httpsclient; extra == "security" (from requests[security]<3,>=2.4.3->yotta)
Collecting MarkupSafe (from Jinja2<3,>=2.7.0->yotta)
  Using cached MarkupSafe-0.23.tar.gz
Collecting pyelftools==0.23 (from valinor<1.0,>=0.0.0->yotta)
Collecting project-generator<0.9.0,>=0.8.0 (from valinor<1.0,>=0.0.0->yotta)
Collecting pyOCD<1.0,>=0.3 (from valinor<1.0,>=0.0.0->yotta)
Collecting pyyaml<4,>=3 (from valinor<1.0,>=0.0.0->yotta)
  Using cached PyYAML-3.11.zip
Collecting pycparser (from cffi>=1.4.1->cryptography>=0.8->yotta)
Collecting xmltodict (from project-generator<0.9.0,>=0.8.0->valinor<1.0,>=0.0.0->yotta)
Collecting argparse (from project-generator<0.9.0,>=0.8.0->valinor<1.0,>=0.0.0->yotta)
  Using cached argparse-1.4.0-py2.py3-none-any.whl
Collecting project-generator-definitions<0.3.0,>=0.2.2 (from project-generator<0.9.0,>=0.8.0->valinor<1.0,>=0.0.0->yotta)
Collecting pywinusb>=0.4.0 (from pyOCD<1.0,>=0.3->valinor<1.0,>=0.0.0->yotta)
Building wheels for collected packages: MarkupSafe, pyyaml
  Running setup.py bdist_wheel for MarkupSafe ... error
  Complete output from command c:\yotta\workspace\scripts\python.exe -u -c "import setuptools, tokenize;__file__='c:\\users\\dsuar\\appdata\\local\\temp\\pip-build-1ium7g\\MarkupSafe\\setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" bdist_wheel -d c:\users\dsuar\appdata\local\temp\tmpc8ba7bpip-wheel- --python-tag cp27:
  running bdist_wheel
  running build
  running build_py
  creating build
  creating build\lib.win32-2.7
  creating build\lib.win32-2.7\markupsafe
  copying markupsafe\tests.py -> build\lib.win32-2.7\markupsafe
  copying markupsafe\_compat.py -> build\lib.win32-2.7\markupsafe
  copying markupsafe\_constants.py -> build\lib.win32-2.7\markupsafe
  copying markupsafe\_native.py -> build\lib.win32-2.7\markupsafe
  copying markupsafe\__init__.py -> build\lib.win32-2.7\markupsafe
  running egg_info
  writing MarkupSafe.egg-info\PKG-INFO
  writing top-level names to MarkupSafe.egg-info\top_level.txt
  writing dependency_links to MarkupSafe.egg-info\dependency_links.txt
  warning: manifest_maker: standard file '-c' not found

  reading manifest file 'MarkupSafe.egg-info\SOURCES.txt'
  reading manifest template 'MANIFEST.in'
  writing manifest file 'MarkupSafe.egg-info\SOURCES.txt'
  copying markupsafe\_speedups.c -> build\lib.win32-2.7\markupsafe
  running build_ext
  building 'markupsafe._speedups' extension
  error: [Error 2] El sistema no puede encontrar el archivo especificado

  ----------------------------------------
  Failed building wheel for MarkupSafe
  Running setup.py clean for MarkupSafe
  Running setup.py bdist_wheel for pyyaml ... error
  Complete output from command c:\yotta\workspace\scripts\python.exe -u -c "import setuptools, tokenize;__file__='c:\\users\\dsuar\\appdata\\local\\temp\\pip-build-1ium7g\\pyyaml\\setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" bdist_wheel -d c:\users\dsuar\appdata\local\temp\tmp4qg4cppip-wheel- --python-tag cp27:
  running bdist_wheel
  running build
  running build_py
  creating build
  creating build\lib.win32-2.7
  creating build\lib.win32-2.7\yaml
  copying lib\yaml\composer.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\constructor.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\cyaml.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\dumper.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\emitter.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\error.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\events.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\loader.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\nodes.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\parser.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\reader.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\representer.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\resolver.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\scanner.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\serializer.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\tokens.py -> build\lib.win32-2.7\yaml
  copying lib\yaml\__init__.py -> build\lib.win32-2.7\yaml
  running build_ext
  creating build\temp.win32-2.7
  creating build\temp.win32-2.7\Release
  checking if libyaml is compilable
  error: [Error 2] El sistema no puede encontrar el archivo especificado

  ----------------------------------------
  Failed building wheel for pyyaml
  Running setup.py clean for pyyaml
Failed to build MarkupSafe pyyaml
Installing collected packages: jsonpointer, six, setuptools, pycparser, cffi, pyasn1, enum34, ipaddress, idna, cryptography, semantic-version, functools32, jsonschema, pathlib, pyOpenSSL, ndg-httpsclient, requests, certifi, PyJWT, colorama, argcomplete, MarkupSafe, Jinja2, pyelftools, pyyaml, xmltodict, argparse, project-generator-definitions, project-generator, pywinusb, intelhex, pyOCD, valinor, hgapi, PyGithub, ntfsutils, mbed-test-wrapper, yotta
  Running setup.py install for MarkupSafe ... error
    Complete output from command c:\yotta\workspace\scripts\python.exe -u -c "import setuptools, tokenize;__file__='c:\\users\\dsuar\\appdata\\local\\temp\\pip-build-1ium7g\\MarkupSafe\\setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record c:\users\dsuar\appdata\local\temp\pip-hj59gp-record\install-record.txt --single-version-externally-managed --compile --install-headers c:\yotta\workspace\include\site\python2.7\MarkupSafe:
    running install
    running build
    running build_py
    creating build
    creating build\lib.win32-2.7
    creating build\lib.win32-2.7\markupsafe
    copying markupsafe\tests.py -> build\lib.win32-2.7\markupsafe
    copying markupsafe\_compat.py -> build\lib.win32-2.7\markupsafe
    copying markupsafe\_constants.py -> build\lib.win32-2.7\markupsafe
    copying markupsafe\_native.py -> build\lib.win32-2.7\markupsafe
    copying markupsafe\__init__.py -> build\lib.win32-2.7\markupsafe
    running egg_info
    writing MarkupSafe.egg-info\PKG-INFO
    writing top-level names to MarkupSafe.egg-info\top_level.txt
    writing dependency_links to MarkupSafe.egg-info\dependency_links.txt
    warning: manifest_maker: standard file '-c' not found

    reading manifest file 'MarkupSafe.egg-info\SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    writing manifest file 'MarkupSafe.egg-info\SOURCES.txt'
    copying markupsafe\_speedups.c -> build\lib.win32-2.7\markupsafe
    running build_ext
    building 'markupsafe._speedups' extension
    error: [Error 2] El sistema no puede encontrar el archivo especificado

    ----------------------------------------
Command "c:\yotta\workspace\scripts\python.exe -u -c "import setuptools, tokenize;__file__='c:\\users\\dsuar\\appdata\\local\\temp\\pip-build-1ium7g\\MarkupSafe\\setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record c:\users\dsuar\appdata\local\temp\pip-hj59gp-record\install-record.txt --single-version-externally-managed --compile --install-headers c:\yotta\workspace\include\site\python2.7\MarkupSafe" failed with error code 1 in c:\users\dsuar\appdata\local\temp\pip-build-1ium7g\MarkupSafe\

Is it possible that the install is not finding a compiler or something? (running on Windows 10)

UPDATE: found that running "pip install yotta" to install in the global location instead of the virtualenv just works.